
Pre-Development - Bug #19555

FE - React - Centralise back to search page method

23 January 2024 01:44 PM - chok yee fan

Status: Closed Start date: 23 January 2024

Priority: Normal Due date: 29 January 2024

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

------

Breadcrumb, Add mode Cancel, View mode Cancel not using the same method.

expected

-----

All action back to search, should use same method, easy to maintain.

Note: Do it at 1 module first before applying all modules.

History

#1 - 29 January 2024 09:35 AM - Hazimi Muhammad

Hazimi - Bug #19555 - IAM > FE - React - Centralise back to search page method - Add the back method

~/Documents/React/mleb-iam/cc_iam/src/pages/business-constitution

BusinessConstitutionForm.tsx

BusinessConstitutionSearch.tsx

#2 - 29 January 2024 01:46 PM - Hazimi Muhammad

- Status changed from New to Resolved

Hazimi - Bug #19555 - IAM > FE - React - Centralise back to search page method - Add the back method for all Module

~/Documents/React/mleb-iam/cc_iam/src/pages

business-constitution

BusinessConstitutionForm.tsx

BusinessConstitutionSearch.tsx

country

CountryForm.tsx

email-config

EmailConfigForm.tsx

message-template

MsgTemplateForm.tsx

mleb-function

MlebFunctionForm.tsx

mleb-system

MlebSystemTab.tsx

organization-profile

department-tab

DepartmentForm.tsx

OrganisationProfileTabs.tsx

user-category

UserCategoryForm.tsx

user-role

UserRoleTabs.tsx
#3 - 29 January 2024 01:47 PM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan

#4 - 29 January 2024 03:56 PM - chok yee fan

- Status changed from Resolved to Assigned

- Assignee changed from chok yee fan to Hazimi Muhammad

issue

-----

Breadcrumb, Add mode Cancel, View mode Cancel is not same behaviour, accordion should collapse

expected

-----

Breadcrumb, Add mode Cancel, View mode Cancel SHOULD same behaviour, accordion should collapse

#5 - 30 January 2024 10:52 AM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan

Hazimi - Bug #19555- FE - React - Centralise back to search page method --Accordion should collapse at the breadcrumbs

~/Documents/React/mleb-iam/cc_iam/src/pages

business-constitution

BusinessConstitutionForm.tsx

country

CountryForm.tsx

email-config

EmailConfigForm.tsx

message-template

MsgTemplateForm.tsx

mleb-function

MlebFunctionForm.tsx

mleb-system

MlebSystemTab.tsx

user-category

UserCategoryForm.tsx

#6 - 05 February 2024 03:18 PM - chok yee fan

- Status changed from Assigned to Closed

after check the code all using the same method for Breadcrumb, Add mode Cancel, View mode Cancel

ignoring inside the logic checking
